const express = require('express');
const app = express();
const cors = require('cors');
const logger = require('./logger/logger');
const validateLoginCredentials = require('./services/loginService');
const registerLoginCredentials = require('./services/registerService');
const {createAccountDetails, fetchAccountDetails, updateAccountDetails} = require('./services/accountService');
const port = 8080;

app.use(cors());
app.use(express.json());

app.post('/login', (request, response) => {
    console.log("test");
    validateLoginCredentials(request, response);
})

app.post('/register', (request, response) => {
    registerLoginCredentials(request, response);
})

app.get('/account', (request, response) => {
    fetchAccountDetails(request, response);
})

app.post('/account', (request, response) => {
    createAccountDetails(request, response);
})

app.patch('/account', (request, response) => {
    updateAccountDetails(request, response);
})

app.listen(port, () => {
    console.log (`Listening on port ${port}`);
})