const dbClient = require('../db/client');

class UserAccountDetailsRepository  {
    constructor() {
    }

    async insert(first, last, address1, address2, city, usstate, zip, phone, email, userId) {
        const sql = `INSERT INTO user_account_details (id, user_id, first_name, last_name, address_1, address_2, city, state, zip_code, phone_number, email) 
                     VALUES ($1, $1, $2, $3, $4, $5, $6, $7, $8, $9, $10)`;
        const values = [userId, first, last, address1, address2, city, usstate, zip, phone, email];
        const results = await dbClient.query(sql, values);
        return results;
    }

    async update(first, last, address1, address2, city, usstate, zip, phone, email, userId) {
        const sql = `UPDATE user_account_details
                    SET first_name = $2, last_name = $3, address_1 = $4, address_2 = $5, city = $6, state = $7, zip_code = $8, phone_number = $9, email = $10
                    WHERE id = $1`;
        const values = [userId, first, last, address1, address2, city, usstate, zip, phone, email];
        const results = await dbClient.query(sql, values);
        return results;
    }

    async select(userId) {
        const sql = `SELECT id, user_id, first_name, last_name, address_1, address_2, city, state, zip_code, phone_number, email FROM user_account_details
                    WHERE id = $1`;
        const values = [userId];
        const results = await dbClient.query(sql, values);
        return results.rows;
    }
};

module.exports = UserAccountDetailsRepository;